## x-loader 1.4.3git20100305

=== Makefile ===
#
# (C) Copyright 2004-2006, Texas Instruments, <www.ti.com>
# Jian Zhang <jzhang@ti.com>
#
# (C) Copyright 2000-2004
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

HOSTARCH := $(shell uname -m | \
	sed -e s/i.86/i386/ \
	    -e s/sun4u/sparc64/ \
	    -e s/arm.*/arm/ \
	    -e s/sa110/arm/ \
	    -e s/powerpc/ppc/ \
	    -e s/macppc/ppc/)

HOSTOS := $(shell uname -s | tr A-Z a-z | \
	    sed -e 's/\(cygwin\).*/cygwin/')

export	HOSTARCH

# Deal with colliding definitions from tcsh etc.
VENDOR=

#########################################################################

TOPDIR	:= $(shell if [ "$$PWD" != "" ]; then echo $$PWD; else pwd; fi)
export	TOPDIR

ifeq (include/config.mk,$(wildcard include/config.mk))
# load ARCH, BOARD, and CPU configuration
include include/config.mk
export	ARCH CPU BOARD VENDOR
# load other configuration
include $(TOPDIR)/config.mk

ifndef CROSS_COMPILE
CROSS_COMPILE = arm-none-linux-gnueabi-
#CROSS_COMPILE = arm-linux-
export	CROSS_COMPILE
endif

#########################################################################
# X-LOAD objects....order is important (i.e. start must be first)

OBJS  = cpu/$(CPU)/start.o
 

LIBS += board/$(BOARDDIR)/lib$(BOARD).a
LIBS += cpu/$(CPU)/lib$(CPU).a
LIBS += lib/lib$(ARCH).a
LIBS += fs/fat/libfat.a
LIBS += disk/libdisk.a
LIBS += drivers/libdrivers.a
LIBS += common/libcommon.a
.PHONY : $(LIBS)

# Add GCC lib
PLATFORM_LIBS += -L $(shell dirname `$(CC) $(CFLAGS) -print-libgcc-file-name`) -lgcc

SUBDIRS	=  
#########################################################################
#########################################################################

ALL = x-load.bin System.map

all:		$(ALL)

 
x-load.bin:	x-load
		$(OBJCOPY) ${OBJCFLAGS} -O binary $< $@
 
x-load:	$(OBJS) $(LIBS) $(LDSCRIPT)
		UNDEF_SYM=`$(OBJDUMP) -x $(LIBS) |sed  -n -e 's/.*\(__u_boot_cmd_.*\)/-u\1/p'|sort|uniq`;\
 		$(LD) $(LDFLAGS) $$UNDEF_SYM $(OBJS) \
			--start-group $(LIBS) --end-group $(PLATFORM_LIBS) \
			-Map x-load.map -o x-load
 
$(LIBS):
		$(MAKE) -C `dirname $@`

  
System.map:	x-load
		@$(NM) $< | \
		grep -v '\(compiled\)\|\(\.o$$\)\|\( [aUw] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' | \
		sort > System.map

oneboot:	x-load.bin
		scripts/mkoneboot.sh

#########################################################################
else
all install x-load x-load.srec oneboot depend dep:
	@echo "System not configured - see README" >&2
	@ exit 1
endif

#########################################################################

unconfig:
	rm -f include/config.h include/config.mk

#========================================================================
# ARM
#========================================================================
#########################################################################
## OMAP1 (ARM92xT) Systems
#########################################################################

omap1710h3_config :    unconfig
	@./mkconfig $(@:_config=) arm arm926ejs omap1710h3

#########################################################################
## OMAP2 (ARM1136) Systems
#########################################################################

omap2420h4_config :    unconfig
	@./mkconfig $(@:_config=) arm arm1136 omap2420h4

omap2430sdp_config :    unconfig
	@./mkconfig $(@:_config=) arm arm1136 omap2430sdp

#########################################################################
## OMAP3 (ARM-CortexA8) Systems
#########################################################################
omap3430sdp_config :    unconfig
	@./mkconfig $(@:_config=) arm omap3 omap3430sdp

omap3430labrador_config :    unconfig
	@./mkconfig $(@:_config=) arm omap3 omap3430labrador

omap3evm_config :	unconfig
	@./mkconfig $(@:_config=) arm omap3 omap3evm

overo_config :	unconfig
	@./mkconfig $(@:_config=) arm omap3 overo

omap3530beagle_config :    unconfig
	@./mkconfig $(@:_config=) arm omap3 omap3530beagle

#########################################################################

clean:
	find . -type f \
		\( -name 'core' -o -name '*.bak' -o -name '*~' \
		-o -name '*.o'  -o -name '*.a'  \) -print \
		| xargs rm -f
 
clobber:	clean
	find . -type f \
		\( -name .depend -o -name '*.srec' -o -name '*.bin' \) \
		-print \
		| xargs rm -f
	rm -f $(OBJS) *.bak tags TAGS
	rm -fr *.*~
	rm -f x-load x-load.map $(ALL) 
	rm -f include/asm/proc include/asm/arch

mrproper \
distclean:	clobber unconfig

backup:
	F=`basename $(TOPDIR)` ; cd .. ; \
	gtar --force-local -zcvf `date "+$$F-%Y-%m-%d-%T.tar.gz"` $$F

#########################################################################

=== drivers/Makefile ===
#
# (C) Copyright 2000
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

# CFLAGS += -DET_DEBUG -DDEBUG

LIB	= libdrivers.a
OBJS	= serial.o ns16550.o onenand.o omap24xx_i2c.o

ifeq ($(BOARD), omap3430sdp)
OBJS 	+= k9f1g08r0a.o
endif

ifeq ($(BOARD), omap3430labrador)
OBJS 	+= k9f1g08r0a.o
endif

ifeq ($(BOARD), omap3530beagle)
OBJS 	+= k9f1g08r0a.o
endif

ifeq ($(BOARD), omap3evm)
OBJS 	+= k9f1g08r0a.o
endif

ifeq ($(BOARD), overo)
OBJS 	+= k9f1g08r0a.o
endif

ifeq ($(BOARD), omap2420h4) 
OBJS 	+= k9k1216.o
endif

ifeq ($(BOARD), omap2430sdp)
OBJS    += k9k1216.o
endif

ifeq ($(BOARD), omap1710h3)
OBJS    += k9f5616.o
endif


## Disabled for now:
##	  cs8900.o ct69000.o dataflash.o dc2114x.o ds1722.o \
##	  lan91c96.o mw_eeprom.o natsemi.o \
##	  smc91111.o smiLynxEM.o spi_eeprom.o sym53c8xx.o \
##

all:	$(LIB)

$(LIB):	$(OBJS)
	$(AR) crv $@ $(OBJS)

#########################################################################

.depend:	Makefile $(OBJS:.o=.c)
		$(CC) -M $(CFLAGS) $(OBJS:.o=.c) > $@

sinclude .depend

#########################################################################

=== lib/Makefile ===
#
# (C) Copyright 2004 Texas Instruments
#
# (C) Copyright 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= lib$(ARCH).a

AOBJS	= _udivsi3.o _umodsi3.o

COBJS	= board.o ecc.o printf.o div0.o 

OBJS	= $(AOBJS) $(COBJS)

$(LIB):	.depend $(OBJS)
	$(AR) crv $@ $(OBJS)

#########################################################################

.depend:	Makefile $(AOBJS:.o=.S) $(COBJS:.o=.c)
		$(CC) -M $(CFLAGS) $(AOBJS:.o=.S) $(COBJS:.o=.c) > $@

sinclude .depend

#########################################################################

=== board/omap3430labrador/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= lib$(BOARD).a

OBJS	:= omap3430sdp.o
SOBJS	:= platform.o

$(LIB):	$(OBJS) $(SOBJS)
	$(AR) crv $@ $^

clean:
	rm -f $(SOBJS) $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak .depend

#########################################################################

.depend:	Makefile $(SOBJS:.o=.S) $(OBJS:.o=.c)
		$(CC) -M $(CPPFLAGS) $(SOBJS:.o=.S) $(OBJS:.o=.c) > $@

-include .depend

#########################################################################

=== board/omap3530beagle/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= lib$(BOARD).a

OBJS	:= omap3530beagle.o 
SOBJS	:= platform.o

$(LIB):	$(OBJS) $(SOBJS)
	$(AR) crv $@ $^

clean:
	rm -f $(SOBJS) $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak .depend

#########################################################################

.depend:	Makefile $(SOBJS:.o=.S) $(OBJS:.o=.c)
		$(CC) -M $(CPPFLAGS) $(SOBJS:.o=.S) $(OBJS:.o=.c) > $@

-include .depend

#########################################################################

=== board/omap3evm/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= lib$(BOARD).a

OBJS	:= omap3evm.o 
SOBJS	:= platform.o

$(LIB):	$(OBJS) $(SOBJS)
	$(AR) crv $@ $^

clean:
	rm -f $(SOBJS) $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak .depend

#########################################################################

.depend:	Makefile $(SOBJS:.o=.S) $(OBJS:.o=.c)
		$(CC) -M $(CPPFLAGS) $(SOBJS:.o=.S) $(OBJS:.o=.c) > $@

-include .depend

#########################################################################

=== board/overo/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= lib$(BOARD).a

OBJS	:= overo.o 
SOBJS	:= platform.o

$(LIB):	$(OBJS) $(SOBJS)
	$(AR) crv $@ $^

clean:
	rm -f $(SOBJS) $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak .depend

#########################################################################

.depend:	Makefile $(SOBJS:.o=.S) $(OBJS:.o=.c)
		$(CC) -M $(CPPFLAGS) $(SOBJS:.o=.S) $(OBJS:.o=.c) > $@

-include .depend

#########################################################################

=== cpu/omap3/Makefile ===
#
# (C) Copyright 2000-2003
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= lib$(CPU).a

START	= start.o
OBJS	= cpu.o mmc.o

all:	.depend $(START) $(LIB)

$(LIB):	$(OBJS)
	$(AR) crv $@ $(OBJS)

#########################################################################

.depend:	Makefile $(START:.o=.S) $(OBJS:.o=.c)
		$(CC) -M $(CFLAGS) $(START:.o=.S) $(OBJS:.o=.c) > $@

sinclude .depend

#########################################################################

## x-loader 1.4.4git20100713

=== cpu/omap3/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 LIB	= lib$(CPU).a
 
 START	= start.o
-OBJS	= cpu.o mmc.o
+OBJS	= cpu.o mmc.o gpio.o
 
 all:	.depend $(START) $(LIB)

## x-loader 1.5.0+git20110325+b6bbfe7

=== Makefile ===
#
# (C) Copyright 2004-2006, Texas Instruments, <www.ti.com>
# Jian Zhang <jzhang@ti.com>
#
# (C) Copyright 2000-2004
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

HOSTARCH := $(shell uname -m | \
	sed -e s/i.86/i386/ \
	    -e s/sun4u/sparc64/ \
	    -e s/arm.*/arm/ \
	    -e s/sa110/arm/ \
	    -e s/powerpc/ppc/ \
	    -e s/macppc/ppc/)

HOSTOS := $(shell uname -s | tr A-Z a-z | \
	    sed -e 's/\(cygwin\).*/cygwin/')

export	HOSTARCH

# Deal with colliding definitions from tcsh etc.
VENDOR=

#########################################################################
#
# X-loader build supports producing a object files to the separate external
# directory. Two use cases are supported:
#
# 1) Add O= to the make command line
# 'make O=/tmp/build all'
#
# 2) Set environement variable BUILD_DIR to point to the desired location
# 'export BUILD_DIR=/tmp/build'
# 'make'
#
# Command line 'O=' setting overrides BUILD_DIR environent variable.
#
# When none of the above methods is used the local build is performed and
# the object files are placed in the source directory.
#

ifdef O
ifeq ("$(origin O)", "command line")
BUILD_DIR := $(O)
endif
endif

ifneq ($(BUILD_DIR),)
saved-output := $(BUILD_DIR)

# Attempt to create a output directory.
$(shell [ -d ${BUILD_DIR} ] || mkdir -p ${BUILD_DIR})

# Verify if it was successful.
BUILD_DIR := $(shell cd $(BUILD_DIR) && /bin/pwd)
$(if $(BUILD_DIR),,$(error output directory "$(saved-output)" does not exist))
endif # ifneq ($(BUILD_DIR),)

OBJTREE		:= $(if $(BUILD_DIR),$(BUILD_DIR),$(CURDIR))
SRCTREE		:= $(CURDIR)
TOPDIR		:= $(SRCTREE)
LNDIR		:= $(OBJTREE)
export TOPDIR SRCTREE OBJTREE

MKCONFIG	:= $(SRCTREE)/mkconfig
export MKCONFIG

ifneq ($(OBJTREE),$(SRCTREE))
REMOTE_BUILD	:= 1
export REMOTE_BUILD
endif

# $(obj) and (src) are defined in config.mk but here in main Makefile
# we also need them before config.mk is included which is the case for
# some targets like unconfig, clean, clobber, distclean, etc.
ifneq ($(OBJTREE),$(SRCTREE))
obj := $(OBJTREE)/
src := $(SRCTREE)/
else
obj :=
src :=
endif
export obj src

# Make sure CDPATH settings don't interfere
unexport CDPATH

#########################################################################

ifeq ($(obj)include/config.mk,$(wildcard $(obj)include/config.mk))
# load ARCH, BOARD, and CPU configuration
include $(obj)include/config.mk
export	ARCH CPU BOARD VENDOR
# load other configuration
include $(TOPDIR)/config.mk

ifndef CROSS_COMPILE
CROSS_COMPILE = arm-none-linux-gnueabi-
#CROSS_COMPILE = arm-linux-
export	CROSS_COMPILE
endif

#########################################################################
# X-LOAD objects....order is important (i.e. start must be first)

OBJS  = cpu/$(CPU)/start.o
 
OBJS := $(addprefix $(obj),$(OBJS))

LIBS += board/$(BOARDDIR)/lib$(BOARD).a
LIBS += cpu/$(CPU)/lib$(CPU).a
LIBS += lib/lib$(ARCH).a
LIBS += fs/fat/libfat.a
LIBS += disk/libdisk.a
LIBS += drivers/libdrivers.a
LIBS += common/libcommon.a

LIBS := $(addprefix $(obj),$(sort $(LIBS)))
.PHONY : $(LIBS)

# Add GCC lib
PLATFORM_LIBS += -L $(shell dirname `$(CC) $(CFLAGS) -print-libgcc-file-name`) -lgcc

SUBDIRS	=  

__OBJS := $(subst $(obj),,$(OBJS))
__LIBS := $(subst $(obj),,$(LIBS))

#########################################################################
#########################################################################

ALL = $(obj)x-load.bin.ift $(obj)System.map

all ift:	$(ALL)

$(obj)x-load.bin.ift: $(obj)signGP $(obj)System.map $(obj)x-load.bin
	$(obj)./signGP $(obj)x-load.bin $(TEXT_BASE) $(CONFIG_HEADER)
	cp $(obj)x-load.bin.ift $(obj)MLO
 
$(obj)x-load.bin:	$(obj)x-load
		$(OBJCOPY) ${OBJCFLAGS} -O binary $< $@
 
$(obj)x-load:	$(OBJS) $(LIBS) $(LDSCRIPT)
		UNDEF_SYM=`$(OBJDUMP) -x $(LIBS) |sed  -n -e 's/.*\(__u_boot_cmd_.*\)/-u\1/p'|sort|uniq`;\
		cd $(LNDIR) && $(LD) $(LDFLAGS) $$UNDEF_SYM $(__OBJS) \
			--start-group $(__LIBS) --end-group $(PLATFORM_LIBS) \
			-Map x-load.map -o x-load

$(OBJS):
		$(MAKE) -C cpu/$(CPU) $(if $(REMOTE_BUILD),$@,$(notdir $@))

$(LIBS):
		$(MAKE) -C $(dir $(subst $(obj),,$@))
  
$(obj)System.map:	$(obj)x-load
		@$(NM) $< | \
		grep -v '\(compiled\)\|\(\.o$$\)\|\( [aUw] \)\|\(\.\.ng$$\)\|\(LASH[RL]DI\)' | \
		sort > $(obj)System.map

oneboot:	$(obj)x-load.bin
		scripts/mkoneboot.sh

$(obj)signGP:	scripts/signGP.c
		$(HOSTCC) $(HOSTCFLAGS) -o $(obj)signGP  $<

#########################################################################
else
all $(obj)x-load $(obj)x-load.bin oneboot depend dep $(obj)System.map:
	@echo "System not configured - see README" >&2
	@ exit 1
endif

#########################################################################

unconfig:
	rm -f $(obj)include/config.h $(obj)include/config.mk

#========================================================================
# ARM
#========================================================================
#########################################################################
## OMAP2 (ARM1136) Systems
#########################################################################

omap2420h4_config :    unconfig
	@$(MKCONFIG) $(@:_config=) arm arm1136 omap2420h4

omap2430sdp_config :    unconfig
	@$(MKCONFIG) $(@:_config=) arm arm1136 omap2430sdp

#########################################################################
## OMAP3 (ARM-CortexA8) Systems
#########################################################################
omap3430sdp_config :    unconfig
	@$(MKCONFIG) $(@:_config=) arm omap3 omap3430sdp

omap3430labrador_config :    unconfig
	@$(MKCONFIG) $(@:_config=) arm omap3 omap3430labrador

omap3evm_config :	unconfig
	@$(MKCONFIG) $(@:_config=) arm omap3 omap3evm

overo_config :	unconfig
	@$(MKCONFIG) $(@:_config=) arm omap3 overo

omap3530beagle_config :    unconfig
	@$(MKCONFIG) $(@:_config=) arm omap3 omap3530beagle

igep0020_config :    unconfig
	@$(MKCONFIG) $(@:_config=) arm omap3 igep0020
	
#########################################################################
## OMAP4 (ARM-CortexA9) Systems
#########################################################################
omap4430panda_config :    unconfig
	@./mkconfig $(@:_config=) arm omap4 omap4430panda 1

#########################################################################

clean:
	find $(OBJTREE) -type f \
		\( -name 'core' -o -name '*.bak' -o -name '*~' \
		-o -name '*.o'  -o -name '*.a'  \) -print \
		| xargs rm -f
 
clobber:	clean
	find $(OBJTREE) -type f \
		\( -name .depend -o -name '*.srec' -o -name '*.bin' \) \
		-print \
		| xargs rm -f
	rm -f $(OBJS) $(obj)*.bak $(obj)tags $(obj)TAGS
	rm -fr $(obj)*.*~
	rm -f $(obj)x-load $(obj)x-load.map $(ALL) $(obj)x-load.bin.ift $(obj)signGP $(obj)MLO
	rm -f $(obj)include/asm/proc $(obj)include/asm/arch

ifeq ($(OBJTREE),$(SRCTREE))
mrproper \
distclean:	clobber unconfig
else
mrproper \
distclean:	clobber unconfig
	rm -rf $(obj)*
endif

backup:
	F=`basename $(TOPDIR)` ; cd .. ; \
	gtar --force-local -zcvf `date "+$$F-%Y-%m-%d-%T.tar.gz"` $$F

#########################################################################

=== drivers/Makefile ===
--- 
+++ 
@@ -25,41 +25,36 @@
 
 # CFLAGS += -DET_DEBUG -DDEBUG
 
-LIB	= libdrivers.a
-OBJS	= serial.o ns16550.o onenand.o omap24xx_i2c.o
+LIB	= $(obj)libdrivers.a
+COBJS	= serial.o ns16550.o omap24xx_i2c.o
 
 ifeq ($(BOARD), omap3430sdp)
-OBJS 	+= k9f1g08r0a.o
+COBJS 	+= k9f1g08r0a.o
 endif
 
 ifeq ($(BOARD), omap3430labrador)
-OBJS 	+= k9f1g08r0a.o
+COBJS 	+= k9f1g08r0a.o
 endif
 
 ifeq ($(BOARD), omap3530beagle)
-OBJS 	+= k9f1g08r0a.o
+COBJS 	+= k9f1g08r0a.o
 endif
 
 ifeq ($(BOARD), omap3evm)
-OBJS 	+= k9f1g08r0a.o
+COBJS 	+= k9f1g08r0a.o onenand.o
 endif
 
 ifeq ($(BOARD), overo)
-OBJS 	+= k9f1g08r0a.o
+COBJS 	+= k9f1g08r0a.o
 endif
 
 ifeq ($(BOARD), omap2420h4) 
-OBJS 	+= k9k1216.o
+COBJS 	+= k9k1216.o
 endif
 
 ifeq ($(BOARD), omap2430sdp)
-OBJS    += k9k1216.o
+COBJS    += k9k1216.o
 endif
-
-ifeq ($(BOARD), omap1710h3)
-OBJS    += k9f5616.o
-endif
-
 
 ## Disabled for now:
 ##	  cs8900.o ct69000.o dataflash.o dc2114x.o ds1722.o \
@@ -67,16 +62,19 @@
 ##	  smc91111.o smiLynxEM.o spi_eeprom.o sym53c8xx.o \
 ##
 
+SRCS	:= $(COBJS:.o=.c)
+OBJS	:= $(addprefix $(obj),$(COBJS))
+
 all:	$(LIB)
 
-$(LIB):	$(OBJS)
+$(LIB):	$(obj).depend $(OBJS)
 	$(AR) crv $@ $(OBJS)
 
 #########################################################################
 
-.depend:	Makefile $(OBJS:.o=.c)
-		$(CC) -M $(CFLAGS) $(OBJS:.o=.c) > $@
+# defines $(obj).depend target
+include $(SRCTREE)/rules.mk
 
-sinclude .depend
+sinclude $(obj).depend
 
 #########################################################################

=== board/igep0020/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(BOARD).a

COBJS	:= igep0020.o
SOBJS	:= platform.o

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))
SOBJS	:= $(addprefix $(obj),$(SOBJS))

$(LIB):	$(obj).depend $(OBJS) $(SOBJS)
	$(AR) crv $@ $(OBJS) $(SOBJS)

clean:
	rm -f $(SOBJS) $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak $(obj).depend

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/omap2420h4/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(BOARD).a

COBJS	:= omap2420h4.o
SOBJS	:= platform.o

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))
SOBJS	:= $(addprefix $(obj),$(SOBJS))

$(LIB):	$(obj).depend $(OBJS) $(SOBJS)
	$(AR) crv $@ $(OBJS) $(SOBJS)

clean:
	rm -f $(SOBJS) $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak $(obj).depend

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== board/omap2430sdp/Makefile ===
#
# (C) Copyright 2000, 2001, 2002
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(BOARD).a

COBJS	:= omap2430sdp.o
SOBJS	:= platform.o

SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(COBJS))
SOBJS	:= $(addprefix $(obj),$(SOBJS))

$(LIB):	$(obj).depend $(OBJS) $(SOBJS)
	$(AR) crv $@ $(OBJS) $(SOBJS)

clean:
	rm -f $(SOBJS) $(OBJS)

distclean:	clean
	rm -f $(LIB) core *.bak $(obj).depend

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== cpu/arm1136/Makefile ===
#
# (C) Copyright 2000-2003
# Wolfgang Denk, DENX Software Engineering, wd@denx.de.
#
# See file CREDITS for list of people who contributed to this
# project.
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of
# the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston,
# MA 02111-1307 USA
#

include $(TOPDIR)/config.mk

LIB	= $(obj)lib$(CPU).a

START	= start.o
COBJS	= cpu.o

SRCS	:= $(START:.o=.S) $(SOBJS:.o=.S) $(COBJS:.o=.c)
OBJS	:= $(addprefix $(obj),$(SOBJS) $(COBJS))
START	:= $(addprefix $(obj),$(START))

all:	$(obj).depend $(START) $(LIB)

$(LIB):	$(OBJS)
	$(AR) crv $@ $(OBJS)

#########################################################################

# defines $(obj).depend target
include $(SRCTREE)/rules.mk

sinclude $(obj).depend

#########################################################################

=== cpu/omap3/Makefile ===
--- 
+++ 
@@ -23,21 +23,25 @@
 
 include $(TOPDIR)/config.mk
 
-LIB	= lib$(CPU).a
+LIB	= $(obj)lib$(CPU).a
 
 START	= start.o
-OBJS	= cpu.o mmc.o gpio.o
+COBJS	= cpu.o mmc.o gpio.o
 
-all:	.depend $(START) $(LIB)
+SRCS	:= $(START:.o=.S) $(SOBJS:.o=.S) $(COBJS:.o=.c)
+OBJS	:= $(addprefix $(obj),$(SOBJS) $(COBJS))
+START	:= $(addprefix $(obj),$(START))
+
+all:	$(obj).depend $(START) $(LIB)
 
 $(LIB):	$(OBJS)
 	$(AR) crv $@ $(OBJS)
 
 #########################################################################
 
-.depend:	Makefile $(START:.o=.S) $(OBJS:.o=.c)
-		$(CC) -M $(CFLAGS) $(START:.o=.S) $(OBJS:.o=.c) > $@
+# defines $(obj).depend target
+include $(SRCTREE)/rules.mk
 
-sinclude .depend
+sinclude $(obj).depend
 
 #########################################################################

=== debian/changelog ===
x-loader (1.5.0+git20110325+b6bbfe7-1ubuntu1) natty; urgency=low

  * New upstream bugfix release
    - Fix support for Panda >= ES2.2
    - Fix support for newer revisions of Beagle XM
  * Rebase of the remaining non-upstream patches

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Sun, 10 Apr 2011 23:06:51 -0300

x-loader (1.4.4+git20110124+7d0e587-1ubuntu1) natty; urgency=low

  [ Andy Doan ]
  * debian/patches/09-overo-Fix-bug-in-prcm_init.patch:
    - Fix bug in prcm_init at Overo (LP: #737280)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 18 Mar 2011 01:38:53 -0300

x-loader (1.4.4+git20110124+7d0e587-1ubuntu0) natty; urgency=low

  * New upstream release
  * Adding support to build x-loader for IGEPv2 boards
  * Adding 08-igepv2_fixing_makefile.patch to properly build IGEPv2 objects in
    a different path

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 25 Jan 2011 21:58:25 -0200

x-loader (1.4.4+git20101223+6f3a261-1ubuntu2) natty; urgency=low

  * Read platforms from debian/platforms.
  * Build signGP with policy CFLAGS.
  * Update FSF address in copyright.
  * Add debian/build/ and signGP to debian/clean.
  * Improve long descriptions.

 -- Loïc Minier <loic.minier@linaro.org>  Tue, 25 Jan 2011 21:39:04 -0200

x-loader (1.4.4+git20101223+6f3a261-1ubuntu1) natty; urgency=low

  * Adding support to build x-loader for overo (LP: #702046)
  * Moving the debian package tree to bzr (lp:x-loader)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 18 Jan 2011 16:42:48 -0200

x-loader (1.4.4+git20101223+6f3a261-1ubuntu0) natty; urgency=low

  * New upstream release
    We now finally have a proper upstream tree, created at http://gitorious.org/x-loader/x-loader
  * Additional patches to make it compatible with Natty's ti-omap4 kernel

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 11 Jan 2011 10:15:32 -0600

x-loader (1.4.4git20100713-1ubuntu2.1) maverick-proposed; urgency=low

  * Replace contents of support_micron_and_numonyx_memory with
    ee120c894c3377054bda149748eb0621f2f843c8 from Steve Sakoman's
    x-loader.git; this only differs in the else clause when not using Micron
    memory in that it sets up the second bank with the correct size; thanks
    Steve Sakoman and Peter Maydell; LP: #652861.

 -- Loïc Minier <loic.minier@linaro.org>  Thu, 28 Oct 2010 11:07:14 -0400

x-loader (1.4.4git20100713-1ubuntu2) maverick; urgency=low

  * Drop confusing and useless $(sh) usage in rules.

 -- Loïc Minier <loic.minier@linaro.org>  Tue, 28 Sep 2010 12:15:55 +0200

x-loader (1.4.4git20100713-1ubuntu1) maverick; urgency=low

  * adding support_micron_and_numonyx_memory.patch to make x-loader
   work with Micron and Numonyx based Beagle xMs (LP: #628243)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 01 Sep 2010 14:30:46 -0300

x-loader (1.4.4git20100713-1) maverick; urgency=low

  * new upstream release 

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 13 Jul 2010 13:11:12 +0100

x-loader (1.4.3git20100305-1) lucid; urgency=low

  * Initial release

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 20 Mar 2010 09:51:26 +0000

=== debian/control ===
Source: x-loader
Section: misc
Priority: optional
Maintainer: Oliver Grawert <ogra@ubuntu.com>
Build-Depends: quilt (>= 0.46-7~), debhelper (>= 7.0.50~)
Standards-Version: 3.9.1
Homepage: http://gitorious.org/x-loader/x-loader
Vcs-Bzr: https://code.launchpad.net/~x-loader/x-loader/ubuntu

Package: x-loader-omap3-beagle
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board initialization helper for TI OMAP 3 Beagle boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for TI OMAP 3 Beagle boards.

Package: x-loader-omap3-igepv2
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board initialization helper for IGEPv2 boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for IGEPv2 boards.

Package: x-loader-omap3-overo
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board initialization helper for Gumstix Overo boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for Gumstix Overo boards.

Package: x-loader-omap4-panda
Architecture: armel
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Board initialization helper for TI OMAP 4 Panda boards
 The x-loader initializes OMAP based boards to get the hardware
 to a stage where it is possible to load and initialize a
 bootloader (i.e. the commonly used u-boot)
 .
 This package contains a version for TI OMAP 4 Panda boards.

## x-loader 1.5.1%2Bgit20110715%2Bfca7cd2

=== board/omap3430labrador/Makefile ===
--- 
+++ 
@@ -23,25 +23,29 @@
 
 include $(TOPDIR)/config.mk
 
-LIB	= lib$(BOARD).a
+LIB	= $(obj)lib$(BOARD).a
 
-OBJS	:= omap3430sdp.o
+COBJS	:= omap3430sdp.o
 SOBJS	:= platform.o
 
-$(LIB):	$(OBJS) $(SOBJS)
-	$(AR) crv $@ $^
+SRCS	:= $(SOBJS:.o=.S) $(COBJS:.o=.c)
+OBJS	:= $(addprefix $(obj),$(COBJS))
+SOBJS	:= $(addprefix $(obj),$(SOBJS))
+
+$(LIB):	$(obj).depend $(OBJS) $(SOBJS)
+	$(AR) crv $@ $(OBJS) $(SOBJS)
 
 clean:
 	rm -f $(SOBJS) $(OBJS)
 
 distclean:	clean
-	rm -f $(LIB) core *.bak .depend
+	rm -f $(LIB) core *.bak $(obj).depend
 
 #########################################################################
 
-.depend:	Makefile $(SOBJS:.o=.S) $(OBJS:.o=.c)
-		$(CC) -M $(CPPFLAGS) $(SOBJS:.o=.S) $(OBJS:.o=.c) > $@
+# defines $(obj).depend target
+include $(SRCTREE)/rules.mk
 
--include .depend
+sinclude $(obj).depend
 
 #########################################################################

## x-loader 1.5.1%2bgit20110715%2bfca7cd2

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Vcs-Bzr: https://code.launchpad.net/~x-loader/x-loader/ubuntu
 
 Package: x-loader-omap3-beagle
-Architecture: armel
+Architecture: armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Board initialization helper for TI OMAP 3 Beagle boards
  The x-loader initializes OMAP based boards to get the hardware
@@ -18,17 +18,17 @@
  This package contains a version for TI OMAP 3 Beagle boards.
 
 Package: x-loader-omap3-igepv2
-Architecture: armel
+Architecture: armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Board initialization helper for IGEPv2 boards
+Description: Board initialization helper for IGEP v2 and v3 boards
  The x-loader initializes OMAP based boards to get the hardware
  to a stage where it is possible to load and initialize a
  bootloader (i.e. the commonly used u-boot)
  .
- This package contains a version for IGEPv2 boards.
+ This package contains a version for IGEP v2 and v3 boards.
 
 Package: x-loader-omap3-overo
-Architecture: armel
+Architecture: armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Board initialization helper for Gumstix Overo boards
  The x-loader initializes OMAP based boards to get the hardware
@@ -38,7 +38,7 @@
  This package contains a version for Gumstix Overo boards.
 
 Package: x-loader-omap4-panda
-Architecture: armel
+Architecture: armel armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Board initialization helper for TI OMAP 4 Panda boards
  The x-loader initializes OMAP based boards to get the hardware
